# Delete Access Key

Deletes an Access Key.
Note: It is currently possible to delete the same Access Key that is used for the delete operation. This means it is possible to delete the last Access Key. In this scenario a new access key needs to be generated in the customer dashbaord,

Endpoint: DELETE /v1/projects/{projectId}/accessKeys/{accessKeyId}
Version: v1
Security: OAuth2, Basic

## Security:

  - `OAuth2` (unknown)
    oauth2

  - `Basic` (unknown)
    http basic

## Path parameters:

  - `projectId` (string, required)

  - `accessKeyId` (string, required)
    Required. The ID of the Access Key to be deleted.

## Response 200:

  - `200` (unknown)
    OK

## Response 401:

  - `401` (unknown)
    Unauthenticated. Incorrect credentials.

## Response 403:

  - `403` (unknown)
    Permission denied.

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.details.type_url` (string)

  - `error.details.value` (string)

  - `error.message` (string)

  - `error.status` (string)

## Response 500:

  - `500` (unknown)
    Internal error, try again with exponential back-off

## Response 500 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.details.type_url` (string)

  - `error.details.value` (string)

  - `error.message` (string)

  - `error.status` (string)

## Response 503:

  - `503` (unknown)
    Unavailable, try again with exponential back-off

## Response 503 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.details.type_url` (string)

  - `error.details.value` (string)

  - `error.message` (string)

  - `error.status` (string)

